com.fasterxml.jackson.dataformat.yaml

## Class JacksonYAMLParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JacksonException
        - - com.fasterxml.jackson.core.JsonProcessingException
          - - com.fasterxml.jackson.core.exc.StreamReadException
            - - com.fasterxml.jackson.core.JsonParseException
              - - com.fasterxml.jackson.dataformat.yaml.JacksonYAMLParseException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  YAMLException

    public class JacksonYAMLParseException
    extends com.fasterxml.jackson.core.JsonParseException

Since:
  2.8
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.fasterxml.jackson.core.exc.StreamReadException

`_processor, _requestPayload`

### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

`_location`

### Constructor Summary

Constructors
Constructor and Description
`JacksonYAMLParseException(com.fasterxml.jackson.core.JsonParser p, String msg, Exception e)`

### Method Summary

### Methods inherited from class com.fasterxml.jackson.core.JsonParseException

`getMessage, getProcessor, getRequestPayload, getRequestPayloadAsString, withParser, withRequestPayload`

### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

`clearLocation, getLocation, getMessageSuffix, getOriginalMessage, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JacksonYAMLParseException

    public JacksonYAMLParseException(com.fasterxml.jackson.core.JsonParser p,
                                     String msg,
                                     Exception e)